Service API · API Docs · eKYC Platform

Download file

GET/portal/document/download_ekyc_file

Returns one of an eKYC application's files as binary content, selected by its file id.

Request

MethodGET
Path/portal/document/download_ekyc_file
Content-Type
Auth requiredYes — JWT access token

Send the JWT access token in the Authorization header.

Query parameters:

Parameter keyDescription
application_idcorresponding with the application_id in the callback result
idcorresponding with the file_ids in the callback result

Response

On success case: the HTTP status code will be 200, and server will send the file as binary content.

Failure codes

NameDescriptionStatus codeResponse Body
Not foundNot found404{"data":{},"message":"applications not available","time":"2024-10-31T08:27:27Z","verdict":"record_not_found"}

Parameter, auth, method, rate-limit and server errors are the same on every JWT-authenticated call — see Common objects & errors.